Subject: bug#61917: 29.0.60; native compilation issues

From: Naofumi Yasufuku <[email-masked]>
Date: Thu, 30 Mar 2023 22:14:08 +0900

Naofumi Yasufuku <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
[..snip..]
>>
>> Okay ab4273056e0 should be a better (and safer) fix for this bug, I
>> pushed it now to 29.  This time hopefully it does not cause
>> regressions...
>>
>> Bests
>>
>>   Andrea
>
> Thank you.  I will try ;-)
>

Hi Andrea,

I've confirmed that my build of emacs-29 ab4273056e0 works well.
Thank you very much for your great work.

- Recompiled all .elc and .eln successfully.

- .eln issues of both yasnippet and ddskk (Japanese input method) have gone.
  They are successfully loaded, and work without any problem.
>>>> ------------------------------------------------------------------------
>>>> Loading /Users/naofumi/.ddskk/init (native compiled elisp)...done
>>>> skk-emacs-prepare-modeline-properties: Wrong type argument: listp, :type
>>>> Error in post-command-hook (yas--post-command-handler): (wrong-number-of-arguments #<subr signal> 1) [2 times]
>>>> ------------------------------------------------------------------------

- comp-tests-61917-1 passes.
----------------------------
Selector: comp-tests-61917-1
Passed:  1
Failed:  0
Skipped: 0
Total:   1/1

Started at:   2023-03-30 21:48:11+0900
Finished.
Finished at:  2023-03-30 21:48:12+0900

.
----------------------------

- comp-subr-arities-h
#s(hash-table size 1642 test equal rehash-size 1.5 rehash-threshold 0.8125 data (treesit-node-field-name-for-child (2 . 2) message-box (1 . many) set-process-sentinel (2 . 2) previous-property-change (1 . 3) set-marker (2 . 3) bool-vector-p (1 . 1) set-coding-system-priority (0 . many) set-window-dedicated-p (2 . 2) sqlite-next (1 . 1) x-display-grayscale-p (0 . 1) syntax-class-to-char (1 . 1) window-text-pixel-size (0 . 7) ...))

----------------------------

In GNU Emacs 29.0.60 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.16.0, Xaw3d scroll bars) of 2023-03-30 built on titan
Repository revision: ab4273056e0ab68a27fe807b16e2995bf84b72ec
Repository branch: HEAD
Windowing system distributor 'The X.Org Foundation', version 11.0.12101006
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure 'CFLAGS=-g3 -O2' TMPDIR=/home/naofumi/tmp
 --prefix=/home/naofumi/.local/emacs/emacs-29 --with-x
 --with-x-toolkit=lucid --with-mailutils --with-native-compilation'

----------------------------

In GNU Emacs 29.0.60 (build 1, aarch64-apple-darwin22.3.0, NS
 appkit-2299.40 Version 13.2.1 (Build 22D68)) of 2023-03-30 built on
 mimas.local
Repository revision: ab4273056e0ab68a27fe807b16e2995bf84b72ec
Repository branch: HEAD
Windowing system distributor 'Apple', version 10.3.2299
System Description:  macOS 13.2.1

Configured using:
 'configure 'CPPFLAGS=-DFD_SETSIZE=65536 -D_DARWIN_UNLIMITED_SELECT
 -I/opt/homebrew/include' 'CFLAGS=-g3 -O2' LDFLAGS=-L/opt/homebrew/lib
 TMPDIR=/Users/naofumi/tmp --prefix=/Users/naofumi/.local/emacs/emacs-29
 --with-ns --disable-ns-self-contained --with-mailutils
 --with-native-compilation --with-xwidgets'

----------------------------

Best regards,
  Naofumi